## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname openapi-core
%global modname openapi_core

Name:           python-%{srcname}
Version:        0.17.1
Release:        %autorelease
Summary:        OpenAPI client-side and server-side support

License:        BSD-3-Clause
URL:            https://github.com/python-openapi/%{srcname}
Source:         %{pypi_source %{modname}}

BuildArch:      noarch

BuildRequires:  python3-devel

# Test dependencies; see [tool.poetry.dev-dependencies], but note that this
# contains both test dependencies and unwanted linters etc.
BuildRequires:  python3dist(djangorestframework)
BuildRequires:  python3dist(httpx)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(responses)
BuildRequires:  python3dist(starlette)
BuildRequires:  python3dist(strict-rfc3339)
BuildRequires:  python3dist(webob)

%global _description %{expand:
Openapi-core is a Python library that adds client-side and server-side
support for the OpenAPI v3.0 and OpenAPI v3.1 specification.}

%description %_description


%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description


%pyproject_extras_subpkg -n python3-openapi-core django falcon flask requests starlette


%prep
%autosetup -n %{modname}-%{version} -p1
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_linters
sed -r -i '/^--cov[-=]/d' pyproject.toml


%generate_buildrequires
%pyproject_buildrequires -x django -x falcon -x flask -x requests -x starlette


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{modname}


%check
%pytest


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Fri Mar 17 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.17.1-1
- Update to 0.17.1 (close RHBZ#2175776)
- Switch to the PyPI sdist since it now contains tests

* Thu Mar 02 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.16.6-2
- Update URL

* Thu Mar 02 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.16.6-1
- Update to 0.16.6 (close RHBZ#2164688)

* Fri Feb 03 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.16.5-2
- Fix tests with current openapi dependencies

* Wed Jan 25 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.16.5-1
- Update to 0.16.5 (close RHBZ#2162400)

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Jan 16 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.16.4-5
- Add python3-openapi-core+falcon metapackage

* Mon Jan 16 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.16.4-4
- Switch to GitHub source and run the tests

* Mon Jan 16 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.16.4-3
- Allow openapi-schema-validator 0.4 (fix RHBZ#2160912)

* Thu Dec 22 2022 Mattia Verga <mattia.verga@proton.me> - 0.16.4-2
- Patch to avoid package dependency on modern python

* Wed Dec 21 2022 Mattia Verga <mattia.verga@proton.me> - 0.16.4-1
- Update to 0.16.4

* Wed Dec 21 2022 Mattia Verga <mattia.verga@proton.me> - 0.16.2-1
- Initial import (fedora#2154240)
